Loading...
Searching...
No Matches
Dune::TypeTree::FilterResult< FilterEntries >::apply< Node > Struct Template Reference

`#include <dune/typetree/filters.hh>`

## Public Types

typedef std::tuple< typename Node::template Child< FilterEntries::original_index >... > | Children
typedef std::tuple< typename Node::template Child< FilterEntries::original_index >::Type... > | ChildTypes
typedef std::tuple< std::shared_ptr< typename Node::template Child< FilterEntries::original_index >::Type >... > | NodeStorage

## Member Typedef Documentation

## Children

template<typename... FilterEntries>
template<typename Node>

typedef std::tuple<typename Node::template Child<FilterEntries::original_index>...> Dune::TypeTree::FilterResult< FilterEntries >::apply< Node >::Children

## ChildTypes

template<typename... FilterEntries>
template<typename Node>

typedef std::tuple<typename Node::template Child<FilterEntries::original_index>::Type...> Dune::TypeTree::FilterResult< FilterEntries >::apply< Node >::ChildTypes

## NodeStorage

template<typename... FilterEntries>
template<typename Node>

typedef std::tuple<std::shared_ptr<typename Node::template Child<FilterEntries::original_index>::Type>...> Dune::TypeTree::FilterResult< FilterEntries >::apply< Node >::NodeStorage

The documentation for this struct was generated from the following file:

- filters.hh